clear all
close all
whos

tag = 'z';
directory = ['../' tag 'cary/'];
filenames = dir([directory '*.dat']);
f = 0:200;
n = 6;
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y] = loadData([directory filenames(i).name]);
    
    [x1,y1] = linReg(x, y);
 
%    figure(n*i - 5);
    plot(x1,y1, 'b');
    axis equal;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    xn = sgolayfilt(x1, 1, 75);
    yn = sgolayfilt(y1, 1, 75);
    if 0
        figure(n*i - 4)
        hold on;
        plot(x1,'b');
        plot(xn,'r');
        hold off;
    end
    
%    figure(n*i - 3);
    fftV = fft(x1' - xn');
    PV = fftV .* conj(fftV) / size(x1,1);
    plot(f, PV(1:size(f,2)));
    saveas(h, sprintf('%sfig %02d - fft x', tag, i), 'png');

%    figure(n*i - 2);
    fftV = fft(y1' - yn');
    PV = fftV .* conj(fftV) / size(y1,1);
    plot(f, PV(1:size(f,2)));
    saveas(h, sprintf('%sfig %02d - fft y', tag, i), 'png');

%    figure(n*i - 1);
    pwelch(x1' - xn',100,[],[],200,'onesided')
    saveas(h, sprintf('%sfig %02d - pwelch x', tag, i), 'png');

%    figure(n*i);
    pwelch(y1' - yn',100,[],[],200,'onesided')
    saveas(h, sprintf('%sfig %02d - pwelch y', tag, i), 'png');
end