function [v, vx, vy, a, ax, ay, b] = values(X, Y, Time)
    T1 = Time; T1(2:end) = Time(1:end-1);
    dt = Time - T1; dt(dt == 0) = 1;

    X1 = X; X1(2:end) = X(1:end-1);
    Y1 = Y; Y1(2:end) = Y(1:end-1);
    dx = (X1 - X);
    dy = (Y1 - Y);
    X2 = dx .* dx; Y2 = dy .* dy;
    ds = sqrt(X2 + Y2);
    v = ds ./ dt;
    vx = dx ./ dt;
    vy = dy ./ dt;
    
    v1 = v; v1(2: end) = v(1:end-1);
    v1x = vx; v1x(2: end) = vx(1:end-1);
    v1y = vy; v1y(2: end) = vy(1:end-1);
    dv = v1 - v;
    dvx = v1x - vx;
    dvy = v1y - vy;
    a = dv ./ dt;
    ax = dvx ./ dt;
    ay = dvy ./ dt;
    
    a1 = a; a1(2:end) = a(1:end-1);
    da = a1 - a;
    b = da ./ dt;
return