clear all
close all
whos

directory = '../pcary/';
filenames = dir([directory '*.dat']);
numplots = 6;
for i = 7 : 7
    [X, Y, Time] = loadData([directory filenames(i).name]);
    
    [x1,y1] = linReg(X, Y);
    x = x1(1400:1800);
    y = y1(1400:1800);
    figure(1);
    plot(x,y);
    
    xn = sgolayfilt(x, 2, 21);
    yn = sgolayfilt(y, 2, 21);
    t = Time(1400:1800);
    
    [vn, vxn, vyn, an, axn, ayn] = values(xn, yn, t);
    [v, vx, vy, a, ax, ay] = values(x, y, t);

    figure(2)
    hold on;
    %plot(t, vx, 'r');
    plot(t, vxn, 'b');
    figure(3)
    hold on;
    %plot(t, vy, 'r');
    plot(t, vyn, 'b');
    
    figure(4)
    xlabel('f [Hz]');
    title([filenames(i).name, ' - fft rychlost x']);
    hold on
    fftV = fft(vx');
    PV = fftV .* conj(fftV) / size(vx,1);
    f = 0:100;
    plot(f, PV(1:101), 'b');
    fftV = fft(vxn');
    PV = fftV .* conj(fftV) / size(vxn,1);
    f = 0:100;
    plot(f, PV(1:101), 'r');

    figure(6)
    xlabel('f [Hz]');
    title([filenames(i).name, ' - fft rychlost y']);
    hold on
    fftV = fft(vy');
    PV = fftV .* conj(fftV) / size(vy,1);
    f = 0:100;
    plot(f, PV(1:101), 'b');
    fftV = fft(vyn');
    PV = fftV .* conj(fftV) / size(vyn,1);
    f = 0:100;
    plot(f, PV(1:101), 'r');

    clear X Y Time a ax ay b v vx vy i step;
end

clear filenames i j numplots figlinreg figvel figfft figacc figacc2;