clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
f = 0:200;
n = 5;
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y] = loadData([directory filenames(i).name]);
    
    [r, fi, cx, cy] = getPolar(x,y);
    a = mean(r(fi ~= 0) ./ fi(fi ~= 0));
    auxfi = 0:.1:fi(end);
    X = a*auxfi.*cos(auxfi);
    Y = a*auxfi.*sin(auxfi);

%    figure(n*i - 4);
    plot(x,y, 'b');
    hold on;
    plot(x(1),y(1), '*r');
    plot(X+cx, Y+cy, 'g');
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    hold off;

    if 0
        figure(n*i - 3);
        plot(fi, r);
    end

    rn = sgolayfilt(r, 1, 75);
    if 0
        figure(n*i - 2)
        hold on;
        plot(r,'b');
        plot(rn,'r');
        hold off;
    end
    
%    figure(n*i - 1)
    fftV = fft(r' - rn');
    PV = fftV .* conj(fftV) / size(r,1);
    plot(f, PV(1:size(f,2)));
    saveas(h, sprintf('%sfig %02d - fft', tag, i), 'png');

%    figure(n*i)
    pwelch(r' - rn',100,[],[],200,'onesided')
    saveas(h, sprintf('%sfig %02d - pwelch', tag, i), 'png');
end