clear all
close all
whos

tag = 'z';
directory = ['../' tag 'cary/'];
filenames = dir([directory '*.dat']);
h = figure(1);
n = 6;
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [x1,y1] = linReg(x, y);
    [v, vx, vy] = values(x1, y1, Time);
    fi = atan2(vy, vx);
    fi = unwrap(fi);
    
%    figure(n*i - 5);
    plot(x1,y1, 'b');
    axis equal;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    xn = sgolayfilt(vx, 10, 55);
    xn2 = sgolayfilt(xn, 3, 75);
    yn = sgolayfilt(vy, 10, 55);
    yn2 = sgolayfilt(yn, 3, 75);
    
    if 1
%        figure(n*i - 4)
        plot(vx,'b');
        hold on;
        plot(xn,'r');
        plot(xn2,'g');
        hold off;
        saveas(h, sprintf('%sfig %02d - vx', tag, i), 'png');
    end
    
    length = size(vx,1);
    f = 1000*(0:256)/length;
    
%    figure(n*i - 3);
    fftV = fft(vx' - xn');
    PV = fftV .* conj(fftV) / length;
    plot(f(1:min(end,size(PV,2))), PV(1:min(end,size(f,2))));
    axis([0 256 0 20]);
    saveas(h, sprintf('%sfig %02d - fft vx', tag, i), 'png');

%    figure(n*i - 2);
    fftV = fft(vy' - yn');
    PV = fftV .* conj(fftV) / length;
    plot(f(1:min(end,size(PV,2))), PV(1:min(end,size(f,2))));
    axis([0 256 0 5]);
    saveas(h, sprintf('%sfig %02d - fft vy', tag, i), 'png');

%    figure(n*i - 1);
    fftV = fft(xn' - xn2');
    PV = fftV .* conj(fftV) / length;
    plot(f(1:min(end,size(PV,2))), PV(1:min(end,size(f,2))));
    axis([0 256 0 10]);
    saveas(h, sprintf('%sfig %02d - fft vx golay', tag, i), 'png');

%    figure(n*i);
    fftV = fft(yn' - yn2');
    PV = fftV .* conj(fftV) / length;
    plot(f(1:min(end,size(PV,2))), PV(1:min(end,size(f,2))));
    axis([0 256 0 5]);
    saveas(h, sprintf('%sfig %02d - fft vy golay', tag, i), 'png');
end