function [v, vx, vy, a, ax, ay] = values(X, Y, Time)
    dt = filter([1 2 1], [1 0 0], Time) * 0.005^2;
    dx = filter([1 2 1], [1 0 0], X) * 0.005^2;
    dy = filter([1 2 1], [1 0 0], Y) * 0.005^2;

    ds = sqrt((dx .* dx) + (dy .* dy));
    v = ds ./ dt;
    vx = dx ./ dt;
    vy = dy ./ dt;
    
    dv = filter([1 2 1], [1 0 0], v) * 0.005^2;
    dvx = filter([1 2 1], [1 0 0], vx) * 0.005^2;
    dvy = filter([1 2 1], [1 0 0], vy) * 0.005^2;

    a = dv ./ dt;
    ax = dvx ./ dt;
    ay = dvy ./ dt;
return