clear all
close all
whos

tag = 'p';
directory = ['../' tag 'cary/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    length = size(fi,1);
    winSmall = ceil(length / 50);
    winBig = ceil(length / 30);
    if mod(winSmall, 2) == 0
        winSmall = winSmall + 1;
    end
    if mod(winBig, 2) == 0
        winBig = winBig + 1;
    end
           
    fi1 = sgolayfilt(fi, 3, winSmall);
    fi2 = sgolayfilt(fi1, 1, winBig);

    int = sum(abs(fi1 - fi)) / length;
    plot(x,y, 'b');
    axis equal;
    title(sprintf('sum: %.5f ', int));
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    if 1
        plot(fi,'b');
        hold on;
        plot(fi1,'r');
        plot(fi2,'g');
        saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
        hold off
    end
    
    f = 1000*(0:256)/length;
    
    fftV = fft(fi' - fi1');
    PV = fftV .* conj(fftV) / length;
    if size(PV,2) > size(f,2)
        plot(f, PV(1:size(f,2)));
    else
        plot(f(1:size(PV,2)), PV);
    end
    axis([0 128 0 1]);
    saveas(h, sprintf('%sfig %02d - fft dif 0-1', tag, i), 'png');

    fftV = fft(fi' - fi2');
    PV = fftV .* conj(fftV) / length;
    if size(PV,2) > size(f,2)
        plot(f, PV(1:size(f,2)));
    else
        plot(f(1:size(PV,2)), PV);
    end
    axis([0 128 0 10]);
    saveas(h, sprintf('%sfig %02d - fft dif 0-2', tag, i), 'png');

    fftV = fft(fi1');
    PV = fftV .* conj(fftV) / length;
    if size(PV,2) > size(f,2)
        plot(f, PV(1:size(f,2)));
    else
        plot(f(1:size(PV,2)), PV);
    end
    axis([0 128 0 1000]);
    saveas(h, sprintf('%sfig %02d - fft golay 1', tag, i), 'png');
end