clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    length = size(fi,1);
           
    fin = sgolayfilt(fi, 1, 101);
    diff = fi - fin;
    
    plot(x,y, 'b');
    axis equal;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    plot(fi,'b');
    hold on;
    plot(fin,'r');
    hold off;
    saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
    
    f = 1000*(0:256)/length;

    plot(diff,'b');
    saveas(h, sprintf('%sfig %02d diff', tag, i), 'png');

    fftV = fft(diff');
    PV = fftV .* conj(fftV) / length;
    plot(f, PV(1:size(f,2)));
    axis([0 100 0 20]);
    saveas(h, sprintf('%sfig %02d - fft', tag, i), 'png');
end