clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

%    length = size(fi,1);
           
    fin = sgolayfilt(fi, 1, 101);
    diff = fi - fin;
    
    plot(x,y, 'b');
    axis equal;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    plot(fi,'b');
    hold on;
    plot(fin,'r');
    hold off;
    saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
    
    len = 65536 / 1000 * 128;
    f = 1000*(0:65536) / 65536;

    plot(diff,'b');
    saveas(h, sprintf('%sfig %02d diff', tag, i), 'png');

    fftV = fft(diff', 65536);
    PV = fftV .* conj(fftV) / 65536;
    plot(f(1:len), PV(1:len));
    axis([0 128 0 0.02]);
    saveas(h, sprintf('%sfig %02d - fft', tag, i), 'png');
end