clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
%for i = 22 : 22
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    length = size(fi,1);
           
    fin = sgolayfilt(fi, 1, 101);
    diff = fi - fin;
    
    %figure(3*i - 2);
    plot(x, y);
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    %figure(3*i - 1);
    plot(fi, 'b');
    hold on
    plot(fin, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - fi', tag, i), 'png');

    %figure(3*i);
    B = specgram(diff, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 10]);
    saveas(h, sprintf('%sfig %02d - spec', tag, i), 'png');
end