clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
scrsz = get(0,'ScreenSize');
%h = figure('Position',[1 scrsz(4) scrsz(3) scrsz(4)]);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);

    [X,Y] = myResample(x, y, 10);
    
    x = sgolayfilt(X, 4, 25);
    y = sgolayfilt(Y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    fin = sgolayfilt(fi, 1, 201);
    diff = fi - fin;
    
    %figure(3*i - 2);
    plot(x, y);
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    %figure(3*i - 1);
    plot(fi, 'b');
    hold on
    plot(fin, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - fi', tag, i), 'png');

    %figure(3*i);
    B = specgram(diff, 256, 200, 128, 124);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 10]);
    saveas(h, sprintf('%sfig %02d - spec', tag, i), 'png');
end