clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    turns = numberOfTurns(x, y);
    length = max(size(x,1), size(x,2));
    filterLength = 2 * ceil(length^1.3 / turns^2 / 5) + 1;
    X = sgolayfilt(x, 2, filterLength);
    Y = sgolayfilt(y, 2, filterLength);
    diffX = X - x;
    diffY = Y - y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(x, 'b');
    hold on
    plot(X, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - x', tag, i), 'png');

    plot(y, 'b');
    hold on
    plot(Y, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - y', tag, i), 'png');

    B = specgram(diffX, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 1e3]);
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 1e3]);
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end