clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v, vx, vy] = values(x, y);
    lx = 2 * ceil(100 / mean(vx)) + 1;
    ly = 2 * ceil(100 / mean(vy)) + 1;
    l = min(lx, ly);
    
    X = sgolayfilt(x, 3, l);
    Y = sgolayfilt(y, 3, l);
    diffX = X - x;
    diffY = Y - y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    title(sprintf('x: %d; y: %d', lx, ly));
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(x, 'b');
    hold on
    plot(X, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - x', tag, i), 'png');

    plot(y, 'b');
    hold on
    plot(Y, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - y', tag, i), 'png');

    B = specgram(diffX, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end