clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v] = values(x, y);
    l = 2 * ceil(5000 / mean(v)) + 1;
    [nx, ny] = myResample(x, y, 10);
    
    X = sgolayfilt(nx, 3, l);
    Y = sgolayfilt(ny, 3, l);
    diffX = X - nx;
    diffY = Y - ny;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    title(sprintf('%d', l));
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(nx, 'b');
    hold on
    plot(X, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - x', tag, i), 'png');

    plot(ny, 'b');
    hold on
    plot(Y, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - y', tag, i), 'png');

    B = specgram(diffX, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end