clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);

    fi = atan2(vy, vx);
    fi = unwrap(fi);
    
%{ 
    plot(x, y);
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');

    plot(fi);
    saveas(h, sprintf('%sfig %02d - fi', tag, i), 'png');
%}

    c = cwt(fi,1:128,'db4');
    y = (1:size(c,1));
    x = (1:size(c,2));
    pcolor(x, y, abs(c));
    shading flat;
    caxis([0 50]);
%    [min(min(c)) max(max(c))]
    saveas(h, sprintf('%sfig %02d - wave db4', tag, i), 'png');
    
    c = cwt(fi,1:128,'mexh','plot');
    y = (1:size(c,1));
    x = (1:size(c,2));
    pcolor(x, y, abs(c));
    shading flat;
    caxis([0 50]);
%    [min(min(c)) max(max(c))]
    saveas(h, sprintf('%sfig %02d - wave mexh', tag, i), 'png');
    
    c = cwt(fi,1:128,'db10','plot');
    y = (1:size(c,1));
    x = (1:size(c,2));
    pcolor(x, y, abs(c));
    shading flat;
    caxis([0 50]);
%    [min(min(c)) max(max(c))]
    saveas(h, sprintf('%sfig %02d - wave db10', tag, i), 'png');
end