clear all
close all
whos

tag = 'p';
directory = ['../' tag 'tres/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    
    X = sgolayfilt(x, 1, 1001);
    Y = sgolayfilt(y, 1, 1001);
    diffX = X - x;
    diffY = Y - y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(x, 'b');
    hold on
    plot(X, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - x', tag, i), 'png');

    plot(y, 'b');
    hold on
    plot(Y, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - y', tag, i), 'png');

    B = specgram(diffX, 2048, 1, 256, 192);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    ylim([0 128]);
    caxis([0 1e4]);
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 2048, 1, 256, 192);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    ylim([0 128]);
    caxis([0 1e4]);
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end