clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [rx,ry] = myResample(x, y, 10);
    X = sgolayfilt(rx, 2, 201);
    Y = sgolayfilt(ry, 2, 201);
    diffX = X - rx;
    diffY = Y - ry;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(rx, 'b');
    hold on
    plot(X, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - x', tag, i), 'png');

    plot(ry, 'b');
    hold on
    plot(Y, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - y', tag, i), 'png');

    B = specgram(diffX, 64, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 1e3]);
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 64, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 1e3]);
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end