clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y);
    l = 2 * ceil(700 / mean(v)) + 1;
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    fi1 = sgolayfilt(fi, 3, 2*ceil(l/4)+1);
    fi2 = sgolayfilt(fi1, 1, l);

    plot(x, y);
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(fi,'b');
    hold on;
    plot(fi1,'r');
    plot(fi2,'g');
    saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
    hold off

    length = 65536;
    len = floor(length / 1000 * 128);
    f = 1000*(0:length) / length;
    
    fftV = fft(fi' - fi1', length);
    PV = fftV .* conj(fftV) / length;
    plot(f(1:len), PV(1:len));
    axis([0 128 0 1e-2]);
    saveas(h, sprintf('%sfig %02d - fft dif 0-1', tag, i), 'png');

    fftV = fft(fi' - fi2', length);
    PV = fftV .* conj(fftV) / length;
    plot(f(1:len), PV(1:len));
    axis([0 128 0 1e-1]);
    saveas(h, sprintf('%sfig %02d - fft dif 0-2', tag, i), 'png');

    fftV = fft(fi1', length);
    PV = fftV .* conj(fftV) / length;
    plot(f(1:len), PV(1:len));
    axis([0 128 0 1000]);
    saveas(h, sprintf('%sfig %02d - fft golay 1', tag, i), 'png');
end