clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    X = sgolayfilt(x, 3, 5);
    Y = sgolayfilt(y, 3, 5);
    [v, vx, vy, a, ax, ay] = values(X, Y);
    
    vx(vx > 200) = 0;
%    l = 2 * ceil(70 / mean(abs(ax))) + 1;
    l = 2 * ceil(size(vx,1)/30) + 1;
    VX = sgolayfilt(vx, 4, l);
    vy(vy > 200) = 0;
%    l = 2 * ceil(70 / mean(abs(ay))) + 1;
    VY = sgolayfilt(vy, 4, l);
    
    plot(vx, 'b');
    hold on;
    plot(VX, 'r');
    hold off;
    ylim([-100 100]);
    saveas(h, sprintf('%sfig %02d - vx', tag, i), 'png');

    plot(vy, 'b');
    hold on;
    plot(VY, 'r');
    hold off;
    ylim([-100 100]);
    saveas(h, sprintf('%sfig %02d - vy', tag, i), 'png');
    
    X = X(1) + cumsum(VX)*5;
    Y = Y(1) + cumsum(VY)*5;

    diffX = x - X;
    diffY = y - Y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
end