clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for f = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(f).name]);
    [v] = values(x, y);
    l = 2 * ceil(700 / mean(v)) + 1;
    
    X = sgolayfilt(x, 3, l);
    Y = sgolayfilt(y, 3, l);
    diffX = X - x;
    diffY = Y - y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    title(sprintf('%d', l));
    saveas(h, sprintf('%sfig %02d', tag, f), 'png');

    plot(x, 'b');
    hold on
    plot(X, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%sfig %02d - x', tag, f), 'png');

    plot(y, 'b');
    hold on
    plot(Y, 'r');
    hold off
    xlim([0 max(size(y))]);
    saveas(h, sprintf('%sfig %02d - y', tag, f), 'png');

    i = 1;
    row = 1;
    while i < max(size(diffX))
        for j = 1 : i : max(size(diffX))
            l = min(j + i - 1, max(size(diffX)));
            rms_array(row, j : l) = rms(diffX(j : l));
        end
        i = i * 2;
        row = row + 1;
    end

    y = (1:size(rms_array,1));
    x = (1:size(rms_array,2));
    pcolor(x, y, rms_array);
    shading interp;
    shading flat;
    colormap bone;
    caxis([0 3e2]);
    saveas(h, sprintf('%sfig %02d - x rms', tag, f), 'png');

    rms_array = 0;
    i = 1;
    row = 1;
    while i < max(size(diffY))
        for j = 1 : i : max(size(diffY))
            l = min(j + i - 1, max(size(diffY)));
            rms_array(row, j : l) = rms(diffY(j : l));
        end
        i = i * 2;
        row = row + 1;
    end

    y = (1:size(rms_array,1));
    x = (1:size(rms_array,2));
    pcolor(x, y, rms_array);
    shading interp;
    shading flat;
    colormap bone;
    caxis([0 3e2]);
    saveas(h, sprintf('%sfig %02d - y rms', tag, f), 'png');
end