clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for f = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(f).name]);
    [v, vx, vy] = values(x, y);
    vx(vx > 500) = 0;
    vy(vy > 500) = 0;
    lx = 2 * ceil(300 / mean(abs(vx))) + 1;
    ly = 2 * ceil(300 / mean(abs(vy))) + 1;
    
    X = sgolayfilt(x, 3, lx);
    Y = sgolayfilt(y, 3, ly);
    diffX = X - x;
    diffY = Y - y;
    diff = sqrt((diffX .* diffX) + (diffY .* diffY));
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    title(sprintf('%d : %d', lx, ly));
    saveas(h, sprintf('%sfig %02d', tag, f), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%sfig %02d - x-y', tag, f), 'png');

    i = 1;
    row = 1;
    while i < max(size(diff))
        for j = 1 : i : max(size(diff))
            l = min(j + i - 1, max(size(diff)));
            rms_array(row, j : l) = rms(diff(j : l));
        end
        i = i * 2;
        row = row + 1;
    end

    y = (1:size(rms_array,1));
    x = (1:size(rms_array,2));
    pcolor(x, y, rms_array);
    shading interp;
    shading flat;
    colormap bone;
    caxis([0 3e2]);
    saveas(h, sprintf('%sfig %02d - rms', tag, f), 'png');
    
    clear rms_array x y;
end