function [fx] = myfilt(x, vx, figname)
    length = max(size(vx));
    window = round(length / 20);
    
    len = zeros(length);
    for i = 1 : length
        start = max(1, i - window);
        finish = min(length, i + window);
        
        avx = mean(abs(vx(start : finish)));
        len(i) = 2*round(3 * avx) + 1;
    end
    
    h = figure(1);
    plot(len, 'b');
    hold on;
%    len = 2 * round(sgolayfilt(len, 3, 25) / 2) + 1;
    len = 2 * round(sgolayfilt(len, 2, 2*round(length/20) + 1) / 2) + 1;
    len(len > (length-2)) = 2 * round((length-2) / 2) + 1;
    plot(len, 'r');
    hold off;
    xlim([0 max(size(len))]);
    saveas(h, figname, 'png');

    for i = 1 : length
        b = sgolay(2, len(i));
        
        row = (len(i) + 1) / 2; % center
        start = max(0, min(i - row, length - len(i)));
        if i < row
            row = i;
        elseif (i+row) > length
            row = len(i) - (length - i);
        end
%        disp([i, start, row, len(i)]);
        
        fx(i) = 0;
        for j = 1 : len(i)
            fx(i) = fx(i) + b(row, j)*x(start + j);
        end
    end
end