function [newX, newY] = myResample(oldX, oldY, distance)
    length = max(size(oldX,1), size(oldX,2));
    
    totalLength = 0;
    ds = zeros(1, length);
    for i = 2 : length
        ds(i) = sqrt((oldX(i-1)-oldX(i))*(oldX(i-1)-oldX(i)) + (oldY(i-1)-oldY(i))*(oldY(i-1)-oldY(i)));
        totalLength = totalLength + ds(i);
    end
    
    newX = zeros(1, floor(totalLength / distance));
    newY = zeros(1, floor(totalLength / distance));
    newX(1) = oldX(1);
    newY(1) = oldY(1);
    
    cds = 0;
    i = 1;
    j = 2;
    while i < length
        while (cds < distance) && (i < length)
            i = i + 1;
            cds = cds + ds(i);
        end
        while (cds >= distance) && (i <= length)
            a = 1 - (cds - distance)/ds(i);
            newX(j) = oldX(i-1) + a*(oldX(i) - oldX(i-1));
            newY(j) = oldY(i-1) + a*(oldY(i) - oldY(i-1));
            cds = cds - distance;
            j = j + 1;
        end
    end
    newX = newX(1:j-1);
    newY = newY(1:j-1);
return