clear all
close all
whos

h = figure(1);
tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
for i = 1 : size(filenames, 1)
    [ox, oy] = loadData([directory filenames(i).name]);
    [x, y] = myResample(ox, oy, 50);
    
    l = 1.1 * (max(x) + max(y) - min(x) - min(y)) / 200;
    
    len = getLength(l, max(size(x)));
    l = ceil(l);
    
    X = myfilt(x, len)';
    Y = myfilt(y, len)';
     
    plot(ox, oy, 'g');
    hold on;
    plot(x, y, 'b');
    plot(X, Y, 'r');
    hold off;
    axis equal;
    saveas(h, sprintf('%sfig%02d %d - graf', tag, i, l), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%sfig%02d - x-y', tag, i), 'png');
    
    diffX = X - x';
    diffY = Y - y';
    
    plot(diffX, 'b');
    hold on
    plot(diffY, 'g');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%sfig%02d - dx-dy', tag, i), 'png');

    length = max(size(diffX));
    f = 1000*(0:256)/length;
    
    fftV = fft(diffX);
    PV = fftV .* conj(fftV) / length;
    plot(PV);
    axis([0 128 0 5e5]);
    saveas(h, sprintf('%sfig%02d - fft x', tag, i), 'png');
    fftV = fft(diffY);
    PV = fftV .* conj(fftV) / length;
    plot(PV);
    axis([0 128 0 5e5]);
    saveas(h, sprintf('%sfig%02d - fft y', tag, i), 'png');
    
    B = specgram(diffX, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 5e3]);
    saveas(h, sprintf('%sfig%02d - spec x', tag, i), 'png');

    B = specgram(diffY, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 5e3]);
    saveas(h, sprintf('%sfig%02d - spec y', tag, i), 'png');
end