clear all
close all
whos

h = figure(1);
tag = 'z';
offset = .25;
dpi = 1000; % in cm
directory = ['../' tag 'cary/'];
filenames = dir([directory '*.dat']);
for i = 1 : size(filenames, 1)
    [ox, oy] = loadData([directory filenames(i).name]);
    [x, y] = myResample(ox, oy, 50);
    [k, q] = linReg(x, y);

    o = (offset*dpi)/cos(atan(k));
    lx = 0:30479;
    ly = polyval([k q], lx);
    fy1 = polyval([k q-o], lx);
    fy2 = polyval([k q+o], lx);

    plot(lx, ly, 'g');
    hold on;
    plot(ox, oy, 'b');
    plot(lx, fy1, 'r');
    plot(lx, fy2, 'r');
    hold off;
    axis equal;
    xlabel('x');
    ylabel('y');
    axis([0 30479 0 22839]);
    saveas(h, sprintf('%sfig%02d', tag, i), 'png');
end