clear all
close all
whos

h = figure(1);
tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
for i = 1 : size(filenames, 1)
    [ox, oy] = loadData([directory filenames(i).name]);
    [x, y] = myResample(ox, oy, 50);
    
    l = 1.1 * (max(x) + max(y) - min(x) - min(y)) / 200;
    
    len = getLength(l, max(size(x)));
    l = ceil(l);
    
    X = myfilt(x, len)';
    Y = myfilt(y, len)';
     
    plot(ox, oy, 'g');
    hold on;
    plot(x, y, 'b');
    plot(X, Y, 'r');
    hold off;
    axis equal;
    xlabel('x');
    ylabel('y');
    saveas(h, sprintf('%sfig%02d %d - graf', tag, i, l), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    xlabel('n');
    ylabel('x,y');
    saveas(h, sprintf('%sfig%02d - x-y', tag, i), 'png');
end