clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v] = values(x, y);
    l = 2 * ceil(700 / mean([v' 10000])) + 1;
    
    X = sgolayfilt(x, 3, l);
    Y = sgolayfilt(y, 3, l);
    diffX = X - x;
    diffY = Y - y;
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis equal;
    xlabel('x');
    ylabel('y');
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    length = 65536;
    f = 1000*(0:length-1)/length/2;
    
    fftV = fft(diffX, length);
    PV = fftV .* conj(fftV) / length;
    plot(f, PV);
    axis([0 128 0 1e3]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - fft x', tag, i), 'png');
    fftV = fft(diffY, length);
    PV = fftV .* conj(fftV) / length;
    plot(f, PV);
    axis([0 128 0 1e3]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - fft y', tag, i), 'png');

    B = specgram(diffX, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - spec x', tag, i), 'png');

    B = specgram(diffY, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 3e3]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - spec y', tag, i), 'png');
end