clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v, vx, vy] = values(x, y);
    l = 2 * ceil(700 / mean([v' 10000])) + 1;
    
    fi = unwrap(atan2(vy, vx));
    fin = sgolayfilt(fi, 1, l);
    diff = fi - fin;

    plot(x, y, 'b');
    axis equal;
    xlabel('x');
    ylabel('y');
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(fi, 'b');
    hold on
    plot(fin, 'r');
    hold off
    saveas(h, sprintf('%sfig %02d - fi', tag, i), 'png');

    length = 65536;
    f = 1000*(0:length-1)/length/2;
    
    fftV = fft(diff, length);
    PV = fftV .* conj(fftV) / length;
    plot(f, PV);
    axis([0 128 0 1e-1]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - fft', tag, i), 'png');

    B = specgram(diff, 128, 200, 64, 60);
    y = (1:size(B,1));
    x = (1:size(B,2));
    b = B .* conj(B);
    b = abs(B);
    
    pcolor(x, y, b);
    shading flat;
    caxis([0 1e1]);
    xlabel('f[Hz]');
    ylabel('spektrum');
    saveas(h, sprintf('%sfig %02d - spec', tag, i), 'png');
end