function [v, vx, vy, a, ax, ay] = values(X, Y)
    x = sgolayfilt(X, 3, 5);
    y = sgolayfilt(Y, 3, 5);
    dt = 5;
    
    dx = filter([.5 0 -.5], 1, x);
    dy = filter([.5 0 -.5], 1, y);
    dx(1) = 0;
    dy(1) = 0;
    dx(2) = (x(2) - x(1));
    dy(2) = (y(2) - y(1));

    ds = sqrt((dx .* dx) + (dy .* dy));
    v = ds ./ dt;
    vx = dx ./ dt;
    vy = dy ./ dt;

    dvx = filter([1 -2 1], 1, x);
    dvy = filter([1 -2 1], 1, y);
    dvx(1) = 0;
    dvy(1) = 0;
    dvx(2) = dvx(3) / 2;
    dvy(2) = dvy(3) / 2;
        
    dvs = sqrt((dvx .* dvx) + (dvy .* dvy));
    a = dvs ./ dt;
    ax = dvx ./ dt ./dt;
    ay = dvy ./ dt ./dt;
return